## pugixml 1.2

=== debian/changelog ===
pugixml (1.2-2) unstable; urgency=low

  [ Vasudev Kamath ]
  * Fix c++-demangle architecture-dependent symbols in symbols file.
    Closes: bug#704718.
  * debian/rules:
    + Pass -v$(DEB_UPSTREAM_VERSION) to dpkg-gensymbols to avoid it
      taking debian version while reconstructing symbols file.

  [ Jonas Smedegaard ]
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Skip copyright-checking some images.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Jul 2013 02:48:14 +0200

pugixml (1.2-1) unstable; urgency=low

  [ Vasudev Kamath ]
  * Initial packaging.
    Closes: bug#697520

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Jan 2013 18:47:10 +0100
