=== debian/control ===
Source: pugixml
Section: libs
Priority: optional
Build-Depends: cdbs,
 debhelper,
 devscripts,
 cmake,
 d-shlibs(>= 0.48)
Maintainer: Vasudev Kamath <kamathvasudev@gmail.com>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 3.9.4
Homepage: http://pugixml.org/
Vcs-Git: git://git.debian.org/collab-maint/pugixml.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pugixml.git

Package: libpugixml1
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends},
 ${cdbs:Pre-Depends}
Multi-Arch: same
Description: Light-weight C++ XML processing library
 pugixml is a lightweight C++ XML processing library with XPath
 support. It features:
  * DOM like interface with rich traversal/modification capabilities
  * Extermely fast non-validating XML parser which constructs the DOM
    tree from an XML file/buffer.
  * XPath 1.0 implementation for complex data-driven tree queries
  * Full Unicode support with Unicode interface variants and automatic
    encoding conversions.
 .
 This library is extremely portable and easy to integrate and use.
 .
 Since pugixml has a DOM parser, it can't process XML documents that do
 not fit in memory; also the parser is a non-validating one, so if you
 need DTD or XML Schema validation, the library is not for you.

Package: libpugixml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpugixml1 (= ${binary:Version}),
 ${misc:Depends},
 ${devlibs:Depends}
Description: Light-weight C++ XML processing library (development)
 pugixml is a lightweight C++ XML processing library with XPath
 support. It features:
  * DOM like interface with rich traversal/modification capabilities
  * Extermely fast non-validating XML parser which constructs the DOM
    tree from an XML file/buffer.
  * XPath 1.0 implementation for complex data-driven tree queries
  * Full Unicode support with Unicode interface variants and automatic
    encoding conversions.
 .
 This package provides required development header files which allows
 integrating pugixml with your application.

Package: libpugixml1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
 libpugixml1 (= ${binary:Version})
Description: Light-weight C++ XML processing library - debug symbols
 pugixml is a lightweight C++ XML processing library with XPath
 support. It features:
  * DOM like interface with rich traversal/modification capabilities
  * Extermely fast non-validating XML parser which constructs the DOM
    tree from an XML file/buffer.
  * XPath 1.0 implementation for complex data-driven tree queries
  * Full Unicode support with Unicode interface variants and automatic
    encoding conversions.
 .
 This package contains the debug symbols.

Package: pugixml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Light-weight C++ XML processing library (documentation)
 pugixml is a lightweight C++ XML processing library with XPath
 support. It features:
  * DOM like interface with rich traversal/modification capabilities
  * Extermely fast non-validating XML parser which constructs the DOM
    tree from an XML file/buffer.
  * XPath 1.0 implementation for complex data-driven tree queries
  * Full Unicode support with Unicode interface variants and automatic
    encoding conversions.
 .
 This package contains API documentation.
 .
