=== debian/watch ===
version = 3
http://code.google.com/p/pugixml/downloads/list .*/pugixml-(\d[\d.]+)\.tar\.gz
