## pugixml 1.4

=== debian/changelog ===
pugixml (1.4-1) unstable; urgency=medium

  * Use github URL in watch file, code.google.com stopped providing
    download features.
  * Use github URL for DEB_UPSTREAM_URL and update md5sum for new release.
  * Imported Upstream version 1.4
    Closes: bug#762260, Thanks to Ghislain Antony Vaillant.
  * Refreshed patch 01-enable_staticlib_generation.patch and renamed it as
    per guidelines in patches/README file.
  * Regenerated symbols file using pkgkde-symbols-helper.
  * Introduced pkg-kde-symbols tools as build-dependency.
  * Bump Standards-Version to 3.9.5, no change required to package source.
  * Use canonical anonscm.debian.org for Vcs-Git field.
  * Use cgit URL for Vcs-Browser field.
  * Bump compat to 9 to handle multi-arch debug symbols, debhelper
    dependency is now >=9.
  * Mark the -dbg package as multi-arch same.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 21 Sep 2014 22:09:39 +0530
