=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: libs
 Priority: optional
 Build-Depends: cdbs,
- debhelper,
+ debhelper (>= 9~),
  devscripts,
  cmake,
- d-shlibs(>= 0.48)
+ d-shlibs(>= 0.48),
+ pkg-kde-tools
 Maintainer: Vasudev Kamath <kamathvasudev@gmail.com>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://pugixml.org/
-Vcs-Git: git://git.debian.org/collab-maint/pugixml.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pugixml.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/pugixml.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/pugixml.git
 
 Package: libpugixml1
 Section: libs
@@ -59,6 +60,7 @@
 
 Package: libpugixml1-dbg
 Architecture: any
+Multi-Arch: same
 Section: debug
 Priority: extra
 Depends: ${misc:Depends},
