=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,8 @@
 devpkgname = lib$(stem)-dev
 
 # Handle upstream release
-DEB_UPSTREAM_URL = http://pugixml.googlecode.com/files/
-DEB_UPSTREAM_URL_MD5 = 477f4a7d75af0383f52ee6622b3f6035
+DEB_UPSTREAM_URL = https://github.com/zeux/pugixml/releases/download/v$(DEB_UPSTREAM_VERSION)
+DEB_UPSTREAM_TARBALL_MD5 = 7c56c91cfe3ecdee248a8e4892ef5781
 
 # Skip checking some images (in addition to the defaults)
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(docs/images/.*\.png|debian/(changelog|copyright(|_hints|_newhints)))$
@@ -29,7 +29,7 @@
 DEB_CMAKE_EXTRA_FLAGS += -DBUILD_SHARED_LIBS=1
 
 # We need this to build the package
-CDBS_BUILD_DEPENDS += cmake, d-shlibs(>= 0.48)
+CDBS_BUILD_DEPENDS += cmake, d-shlibs(>= 0.48), pkg-kde-tools
 
 # Supress optional build dependencies
 CDBS_BUILD_DEPENDS_rules_upstream_tarball =
