=== debian/watch ===
version = 3
#http://code.google.com/p/pugixml/downloads/list .*/pugixml-(\d[\d.]+)\.tar\.gz
https://github.com/zeux/pugixml/tags .*/v(\d.*)\.(?:tbz2|tgz|txz|tar\.(?:gz|bz2|xz))
