=== debian/changelog ===
pugixml (1.7-2) unstable; urgency=medium

  * Update symbols file to include all architecture.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Fri, 06 Nov 2015 22:44:36 +0530

pugixml (1.7-1) unstable; urgency=medium

  * New upstream release.
    + Introduced a new compact tree storage mode that takes significantly
      less memory (2-5x smaller DOM) at some performance cost.
    + New integer parsing/formatting implementation (3-5x faster at
      getting/setting integers).
    + Added format_indent_attributes that makes the resulting XML
      friendlier to line diff/merge tools.
    + Fix Clang 3.7 crashes in out-of-memory cases (C++ DR 1748)
  * Refresh patch 2001 and 2002 for new release.
  * Update symbols file for new release.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 01 Nov 2015 21:46:04 +0530

pugixml (1.6-2) unstable; urgency=medium

  * Update package name in symbols file

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Thu, 08 Oct 2015 20:23:59 +0530

pugixml (1.6-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fix translate and normalize-space XPath functions to no longer
      return internal NUL characters.
    + Fix buffer overrun on malformed comments inside DOCTYPE sections.
    + Have attribute/text values use more digits when printing floating
      point numbers to guarantee round-tripping.

  [ Vasudev Kamath ]
  * Drop doc/manual folder no longer shipped upstream.
  * Re-add symbols file, accidentally dropped in gcc v5 transition.
  * Refresh patch 2001 with new upstream changes.
  * Add patch 2002 to avoid linking to external data in documentation
    (potential privacy issue).
  * Update copyright info:
    + Extend coverage for upstream author.
    + Drop copyright statement for docs/pugixml.css.
    + Extend coverage for myself.
    + Extend coverage for Jonas.

  [ Jonas Smedegaard ]
  * Fix bump DEP3 Last-Update header for patch 2001.
  * Update copyright info:
    + Drop unused License section BSL-1.0.
    + Rewrap Licenses at 72 chars.
    + Fix source URL, and add alternate git source URL.
    + Bump packaging license to GPL-3+.
    + Fix coverage for myself to exclude 2014.
    + Add copyright and licensing boilerplate to rules file (based on
      copyright file info, making the latter fully reflective).
  * Modernize CDBS handling:
    + Unconditionally include snippet upstream-tarball.mk and stop
      suppress optional build-dependencies: All satisfied even in
      oldstable.
    + Drop obsolete multiarch quirks.
  * Update package relations:
    + Fix tighten build-dependency on d-shlibs: Needed for v5 option.
    + Build-depend on dh-buildinfo.
    + Relax build-dependency on debhelper: Needed version satisfied even
      in oldstable.
  * Exclude .la files with d-shlibs (not custom rules targets).
  * Fix track tagged releases (not different "released" ones).
  * Simplify watch file.
  * Modernize git-buildpackage config: Avoid git- prefix.
  * Resolve stem from packaging, and major from source (not packaging).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 06 Oct 2015 17:38:33 +0200

pugixml (1.4-3) unstable; urgency=medium

  * Re-release to unstable.
    Still closes: bug#791250.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Aug 2015 14:58:59 +0200

pugixml (1.4-2) experimental; urgency=medium

  [ Andreas Tille ]
  * Declare compliance with Debian Policy 3.9.6.
  * gcc-5 transition.
    Closes: bug#791250.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage for main upstream author to include current year.
    + Merge same-author same-license Files sections.
    + Use License-Grant and License-Reference fields. Thanks to Ben Finney.
  * Override lintian regarding license in License-Reference field.
    See bug#786450.
  * Override lintian regarding build-depending unversioned on debhelper.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Aug 2015 11:21:16 +0200
