=== debian/control ===
--- 
+++ 
@@ -2,26 +2,28 @@
 Section: libs
 Priority: optional
 Build-Depends: cdbs,
- debhelper (>= 9~),
  devscripts,
+ debhelper,
+ dh-buildinfo,
  cmake,
- d-shlibs(>= 0.48),
- pkg-kde-tools
+ pkg-kde-tools,
+ d-shlibs (>= 0.61~)
 Maintainer: Vasudev Kamath <kamathvasudev@gmail.com>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://pugixml.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/pugixml.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/pugixml.git
 
-Package: libpugixml1
+Package: libpugixml1v5
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends},
- ${cdbs:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
+Conflicts: libpugixml1
+Replaces: libpugixml1
 Description: Light-weight C++ XML processing library
  pugixml is a lightweight C++ XML processing library with XPath
  support. It features:
@@ -42,7 +44,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libpugixml1 (= ${binary:Version}),
+Depends: libpugixml1v5 (= ${binary:Version}),
  ${misc:Depends},
  ${devlibs:Depends}
 Description: Light-weight C++ XML processing library (development)
@@ -58,13 +60,15 @@
  This package provides required development header files which allows
  integrating pugixml with your application.
 
-Package: libpugixml1-dbg
+Package: libpugixml1v5-dbg
 Architecture: any
 Multi-Arch: same
 Section: debug
 Priority: extra
 Depends: ${misc:Depends},
- libpugixml1 (= ${binary:Version})
+ libpugixml1v5 (= ${binary:Version})
+Conflicts: libpugixml1-dbg
+Replaces: libpugixml1-dbg
 Description: Light-weight C++ XML processing library - debug symbols
  pugixml is a lightweight C++ XML processing library with XPath
  support. It features:
@@ -92,4 +96,3 @@
     encoding conversions.
  .
  This package contains API documentation.
- .
