## pugixml 1.8.1

=== Makefile ===
--- 
+++ 
@@ -3,16 +3,18 @@
 
 config=debug
 defines=standard
+cxxstd=c++11
+# set cxxstd=any to disable use of -std=...
 
-BUILD=build/make-$(CXX)-$(config)-$(defines)
+BUILD=build/make-$(CXX)-$(config)-$(defines)-$(cxxstd)
 
 SOURCES=src/pugixml.cpp $(filter-out tests/fuzz_%,$(wildcard tests/*.cpp))
 EXECUTABLE=$(BUILD)/test
 
 VERSION=$(shell sed -n 's/.*version \(.*\).*/\1/p' src/pugiconfig.hpp)
-RELEASE=$(shell git ls-files src docs/*.html docs/*.css docs/samples docs/images scripts contrib readme.txt)
+RELEASE=$(shell git ls-files src docs/*.html docs/*.css docs/samples docs/images scripts contrib CMakeLists.txt readme.txt)
 
-CXXFLAGS=-g -Wall -Wextra -Werror -pedantic -Wundef -Wshadow -Wold-style-cast -Wcast-align
+CXXFLAGS=-g -Wall -Wextra -Werror -pedantic -Wundef -Wshadow -Wcast-align -Wcast-qual -Wold-style-cast
 LDFLAGS=
 
 ifeq ($(config),release)
@@ -47,9 +49,8 @@
 	CXXFLAGS+=-fno-exceptions
 endif
 
-ifeq ($(findstring PUGIXML_NO_CXX11,$(defines)),)
-	# Can't use std=c++11 since Travis-CI has gcc 4.6.3
-	CXXFLAGS+=-std=c++0x
+ifneq ($(cxxstd),any)
+	CXXFLAGS+=-std=$(cxxstd)
 endif
 
 OBJECTS=$(SOURCES:%=$(BUILD)/%.o)
@@ -60,7 +61,7 @@
 test: $(EXECUTABLE)
 	-@find $(BUILD) -name '*.gcda' -exec rm {} +
 	./$(EXECUTABLE)
-	@gcov -b -o $(BUILD)/src/ pugixml.cpp.gcda | sed -e '/./{H;$!d;}' -e 'x;/pugixml.cpp/!d;'
+	@gcov -o $(BUILD)/src/ pugixml.cpp.gcda | sed -e '/./{H;$!d;}' -e 'x;/pugixml.cpp/!d;'
 	@find . -name '*.gcov' -and -not -name 'pugixml.cpp.gcov' -exec rm {} +
 else
 test: $(EXECUTABLE)
@@ -81,7 +82,7 @@
 
 build/pugixml-%: .FORCE | $(RELEASE)
 	@mkdir -p $(BUILD)
-	perl tests/archive.pl $@ $|
+	python tests/archive.py $@ pugixml-$(VERSION) $|
 
 $(EXECUTABLE): $(OBJECTS)
 	$(CXX) $(OBJECTS) $(LDFLAGS) -o $@
