=== debian/changelog ===
pugixml (1.8.1-7) unstable; urgency=medium

  * Fix FTCBFS: Closes: #-1, Thanks to Helmut Grohne.
    + Honour DEB_BUILD_OPTIONS=nocheck.
    + Always use a multiarch install layout.
  * Mark package compliance with Debian Policy 4.1.1.

 -- Vasudev Kamath <vasudev@copyninja.info>  Wed, 01 Nov 2017 10:48:54 +0530

pugixml (1.8.1-6) unstable; urgency=medium

  * Drop multi-arch tag for now from libpugixml-dev.
    Closes: bug#874243. Thanks to Helmut Grohne.

 -- Vasudev Kamath <vasudev@copyninja.info>  Fri, 15 Sep 2017 20:49:03 +0530

pugixml (1.8.1-5) unstable; urgency=medium

  * Fix revive symbols seemingly wrongly dropped since 1.7-1.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Aug 2017 15:37:07 +0200

pugixml (1.8.1-4) unstable; urgency=medium

  * Tighten major version resolving used for our packaging.
  * Update git-buildpackage config: Filter any .gitignore file.
  * Modernize Vcs-* fields: Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.0.1.
  * Advertise DEP3 format in patch headers.
  * Fix mark patch 2002 as not needing upstreaming.
  * Drop obsolete lintian override regarding debhelper 9.
  * Tighten experimental release resolving used for our packaging.
  * Fix use pkg-kde-tools symbolshelper.
  * Use d-shlibs (not dh-exec) to install pkgconfig.
    Stop build-depend on dh-exec.
  * Fix avoid using only upstream version for dpkg-gensymbols: A patch
    may affect symbols.
  * Update copyright info: Extend coverage for myself.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Aug 2017 14:27:31 +0200

pugixml (1.8.1-3) unstable; urgency=medium

  * Fix the Vcs-Git URL.
    Closes: bug#868010. Thanks to Kunal Mehta.
  * Fix the install path for pkgconfig file.
    Closes: bug#849810. Thanks to Kunal Mehta.
  * debian/control:
    + Mark package as compliant with Debian Policy 4.0.0.
    + Drop -dbg package in favor of automatically generated -dbgsym
      package.
  * debian/rules:
    + Add dh_strip argument --dbgsym-migration to allow clean migration
      from libpugixml1v5-dbg to libpugixml1v5-dbgsym.
  * Fix the typo  in source lintian override.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 15 Jul 2017 13:44:10 +0530

pugixml (1.8.1-2) unstable; urgency=medium

  * Update symbol file for all architecture (except m68k and sh4).

 -- Vasudev Kamath <vasudev@copyninja.info>  Wed, 21 Jun 2017 20:19:26 +0530

pugixml (1.8.1-1) unstable; urgency=medium

  * Import new upstream version 1.8.
  * debian/rules:
    + Drop upstream-tarball.mk snippets in favor of debian/watch.
    + Update location of CMakeLists.txt for capturing SOVERSION.
    + Relax symbol file generation on experimental.
    + Enable tests and pkg-config file generation.
    + Build depend on dh-exec for installing pkg-config files to
      multi-arch path.
    + Install upstream shipped cmake files.
  * debian/patches:
    + Refresh patches 2001 and 2002 with new upstream release.
    + Introduce patch 2003 to link test binary with static library to
      avoid FTBFS.
    + Introduce patch 2004 to avoid installing into version suffixed
      directory.
  * Update copyright info:
    + Extend copyright period for upstream.
    + Extend copyright period for myself on Debian folder.
  * Add copyright-check maintainer script to the source and drop build
    time copyright check.
  * debian/control:
    + Update my email address in maintainer field.
    + Mark package compliance with Debian policy 3.9.8.
    + Use secure URL for Vcs-* fields.
  * Update symbols file for 1.8.1 for i386 architecture.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 18 Jun 2017 11:01:32 +0530
