=== debian/control ===
--- 
+++ 
@@ -2,18 +2,17 @@
 Section: libs
 Priority: optional
 Build-Depends: cdbs,
- devscripts,
  debhelper,
  dh-buildinfo,
  cmake,
- pkg-kde-tools,
- d-shlibs (>= 0.61~)
-Maintainer: Vasudev Kamath <kamathvasudev@gmail.com>
+ d-shlibs (>= 0.61~),
+ pkg-kde-tools
+Maintainer: Vasudev Kamath <vasudev@copyninja.info>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.6
+Standards-Version: 4.1.1
 Homepage: http://pugixml.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/pugixml.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/pugixml.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/pugixml.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pugixml.git
 
 Package: libpugixml1v5
 Section: libs
@@ -43,7 +42,6 @@
 Package: libpugixml-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends: libpugixml1v5 (= ${binary:Version}),
  ${misc:Depends},
  ${devlibs:Depends}
@@ -60,27 +58,6 @@
  This package provides required development header files which allows
  integrating pugixml with your application.
 
-Package: libpugixml1v5-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends: ${misc:Depends},
- libpugixml1v5 (= ${binary:Version})
-Conflicts: libpugixml1-dbg
-Replaces: libpugixml1-dbg
-Description: Light-weight C++ XML processing library - debug symbols
- pugixml is a lightweight C++ XML processing library with XPath
- support. It features:
-  * DOM like interface with rich traversal/modification capabilities
-  * Extermely fast non-validating XML parser which constructs the DOM
-    tree from an XML file/buffer.
-  * XPath 1.0 implementation for complex data-driven tree queries
-  * Full Unicode support with Unicode interface variants and automatic
-    encoding conversions.
- .
- This package contains the debug symbols.
-
 Package: pugixml-doc
 Section: doc
 Architecture: all
