=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2013, 2015 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2013, 2015, 2017 Jonas Smedegaard <dr@jones.dk>
 # Copyright © 2013-2015 Vasudev Kamath <kamathvasudev@gmail.com>
 # Description: Main Debian packaging script for pugixml
 #
@@ -19,7 +19,7 @@
 
 # This needs to declared/run before including CDBS snippets
 stem = $(DEB_SOURCE_PACKAGE)
-major := $(shell perl -ne '/\bSOVERSION +(\d+)/ and print $$1' scripts/CMakeLists.txt)
+major := $(shell grep -Po '\bSOVERSION +\K\d+' CMakeLists.txt)
 lib = lib$(stem)
 # TODO: drop v5 suffix when major version > 1
 pkg-lib = lib$(stem)$(major)v5
@@ -31,8 +31,7 @@
 		<debian/control.in.in \
 		>debian/control.in
 
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
-include /usr/share/cdbs/1/rules/utils.mk
+include /usr/share/dpkg/architecture.mk
 include /usr/share/cdbs/1/class/cmake.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
@@ -40,25 +39,20 @@
 pkg-doc = $(stem)-doc
 pkg-dbg = $(pkg-lib)-dbg
 
-# Handle upstream release
-DEB_UPSTREAM_URL = https://github.com/zeux/pugixml/archive
-DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
+# resolve experimental release
+EXP_RELEASE = $(filter experimental% UNRELEASED,$(DEB_SUITE))
 
-# Build-depend unversioned on debhelper
-#  TODO: Drop when adopted in cdbs
-CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
-
-# Skip checking some images (in addition to the defaults)
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(docs/images/.*\.png|debian/(changelog|copyright(|_hints|_newhints)))$
+# relax symbols check when targeting experimental
+export DPKG_GENSYMBOLS_CHECK_LEVEL=$(if $(EXP_RELEASE),0,1)
 
 # Build the shared library
-DEB_CMAKE_EXTRA_FLAGS += -DBUILD_SHARED_LIBS=1
+DEB_CMAKE_EXTRA_FLAGS += -DBUILD_PKGCONFIG=1 -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+DEB_CMAKE_EXTRA_FLAGS += -DBUILD_TESTS=1
+endif
 
 # We need this to build the package
-CDBS_BUILD_DEPENDS +=, cmake, pkg-kde-tools
-
-# Fix the cmake invocation path
-DEB_SRCDIR = scripts
+CDBS_BUILD_DEPENDS +=, cmake
 
 # Docs installation
 DEB_INSTALL_DOCS_$(pkg-doc) += docs/images docs/manual.html docs/quickstart.html
@@ -66,8 +60,8 @@
 # Install examples
 DEB_INSTALL_EXAMPLES_$(pkg-dev) += docs/samples
 
-# Use only upstream version for dpkg-gensymbols
-DEB_DH_MAKESHLIBS_ARGS_$(pkg-lib) += -- -v$(DEB_UPSTREAM_VERSION)
+# Drop -dbg package in favor of auto generated -dbgsym
+DEB_DH_STRIP_ARGS = --dbgsym-migration="$(pkg-lib)-dbg (<< 1.8.1-3~)"
 
 # Let d-shlibs calculate development package dependencies
 #  and handle shared library install
@@ -85,7 +79,15 @@
 		--v5 \
 		--override s/$(lib)$(major)-dev/$(lib)-dev/ \
 		--movedev "debian/tmp/usr/include/*" usr/include/ \
-		debian/tmp/usr/lib/$(lib).so
+		--movedev "debian/tmp/usr/lib/*/cmake/pugixml/*" \
+			usr/share/$(lib)-dev/cmake \
+		--movedev "debian/tmp/usr/lib/pkgconfig/*" \
+			usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
+		debian/tmp/usr/lib/*/$(lib).so
 		touch $@
 clean::
 	rm -f debian/stamp-local-shlibs-$(lib)
+
+# track symbols using pkgkde-symbolshelper
+CDBS_BUILD_DEPENDS +=, pkg-kde-tools
+include /usr/share/pkg-kde-tools/makefiles/1/cdbs/symbolshelper.mk
