=== debian/changelog ===
pugixml (1.9-3) unstable; urgency=medium

  * Team upload
  * Fixup dev package creation, cmake was put in wrong place
    (Closes: #929792)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 May 2019 13:00:23 +0200

pugixml (1.9-2) unstable; urgency=medium

  * Upload to unstable
  * Disable new test that fails on buildd, but not on local
    sbuild/pbuilder, maybe some restrictions in builders configuration

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Jul 2018 12:15:48 +0200

pugixml (1.9-1exp1) experimental; urgency=medium

  * Team upload
  * Refresh symbols file
  * Upload to experimental with some debugging code

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Jul 2018 09:40:16 +0200

pugixml (1.9-1) unstable; urgency=medium

  * Team upload
  * Move vcs to salsa.d.o
  * Bump std-version to 4.1.5, no changes required
  * New upstream release (Closes: #904803)
  * Patch refresh
  * Update copyright file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Jul 2018 09:07:01 +0200
