=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  pkg-kde-tools
 Maintainer: Vasudev Kamath <vasudev@copyninja.info>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 4.1.1
-Homepage: http://pugixml.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pugixml.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pugixml.git
+Standards-Version: 4.1.5
+Homepage: https://pugixml.org/
+Vcs-Git: https://salsa.debian.org/debian/pugixml.git
+Vcs-Browser: https://salsa.debian.org/debian/pugixml
 
 Package: libpugixml1v5
 Section: libs
