=== debian/rules ===
--- 
+++ 
@@ -80,7 +80,7 @@
 		--override s/$(lib)$(major)-dev/$(lib)-dev/ \
 		--movedev "debian/tmp/usr/include/*" usr/include/ \
 		--movedev "debian/tmp/usr/lib/*/cmake/pugixml/*" \
-			usr/share/$(lib)-dev/cmake \
+			/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/pugixml \
 		--movedev "debian/tmp/usr/lib/pkgconfig/*" \
 			usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
 		debian/tmp/usr/lib/*/$(lib).so
