=== debian/changelog ===
pugixml (1.10-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Gianfranco Costamagna ]
  * Team upload (salsa.d.o/debian namespace)
  * Bump copyright years
  * New upstream version 1.10
  * Disable patches now addressed upstream:
    - 2001-enable_staticlib_generation.patch
    - 2003-static_link_tests.patch
    - 2004-do_not_install_includes_in_versioned_dir.patch
    - disable-failing-test.patch
  * Refresh privacy patch
  * Bump std-version to 4.5.0, no changes required
  * Adapt grep to find new VERSION instead of SOVERSION
    (the latter is derived from PROJECT_VERSION, set with project keyword)
  * Add patch to make sure the output is correctly called
  * Don't move pkgconfig files anymore, they are ship in the correct location now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Feb 2020 11:36:49 +0100
