=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  pkg-kde-tools
 Maintainer: Vasudev Kamath <vasudev@copyninja.info>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 4.1.5
+Standards-Version: 4.5.0
 Homepage: https://pugixml.org/
 Vcs-Git: https://salsa.debian.org/debian/pugixml.git
 Vcs-Browser: https://salsa.debian.org/debian/pugixml
