=== debian/changelog ===
pugixml (1.11.4-1) unstable; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * New upstream version 1.11.4

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Dec 2020 08:27:40 +0100

pugixml (1.11.3-1) unstable; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * New upstream version 1.11.3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 19 Dec 2020 23:16:32 +0100

pugixml (1.11.2-1) unstable; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * New upstream version 1.11.2
  * Update SymbolsHelper-Confirmed for new version (Closes: #977602)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Dec 2020 09:43:06 +0100

pugixml (1.11-1) unstable; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * New upstream version 1.11
  * Update symbols for new release
  * Refresh privacy patch
  * Drop two patches now upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Dec 2020 19:40:40 +0100

pugixml (1.10-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload (salsa.d.o/debian namespace)

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 1.10-1.
  * Set upstream metadata fields: Bug-Submit.

  [ Helmut Grohne ]
  * Multiarchify -dev and -doc. (Closes: #970683)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Nov 2020 12:26:45 +0100
