=== debian/control ===
--- 
+++ 
@@ -45,6 +45,7 @@
 Depends: libpugixml1v5 (= ${binary:Version}),
  ${misc:Depends},
  ${devlibs:Depends}
+Multi-Arch: same
 Description: Light-weight C++ XML processing library (development)
  pugixml is a lightweight C++ XML processing library with XPath
  support. It features:
@@ -62,6 +63,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Light-weight C++ XML processing library (documentation)
  pugixml is a lightweight C++ XML processing library with XPath
  support. It features:
