=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 # This needs to declared/run before including CDBS snippets
 stem = $(DEB_SOURCE_PACKAGE)
-major := $(shell grep -Po '\bSOVERSION +\K\d+' CMakeLists.txt)
+major := $(shell grep -Po '\bpugixml VERSION +\K\d+' CMakeLists.txt)
 lib = lib$(stem)
 # TODO: drop v5 suffix when major version > 1
 pkg-lib = lib$(stem)$(major)v5
@@ -46,7 +46,7 @@
 export DPKG_GENSYMBOLS_CHECK_LEVEL=$(if $(EXP_RELEASE),0,1)
 
 # Build the shared library
-DEB_CMAKE_EXTRA_FLAGS += -DBUILD_PKGCONFIG=1 -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)
+DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) -DBUILD_SHARED_AND_STATIC_LIBS=ON -DUSE_VERSIONED_LIBDIR=OFF
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 DEB_CMAKE_EXTRA_FLAGS += -DBUILD_TESTS=1
 endif
@@ -81,8 +81,8 @@
 		--movedev "debian/tmp/usr/include/*" usr/include/ \
 		--movedev "debian/tmp/usr/lib/*/cmake/pugixml/*" \
 			/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/pugixml \
-		--movedev "debian/tmp/usr/lib/pkgconfig/*" \
-			usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
+		--movedev "debian/tmp/usr/lib/*/pkgconfig/*" \
+			/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
 		debian/tmp/usr/lib/*/$(lib).so
 		touch $@
 clean::
