=== debian/watch ===
version = 3
https://github.com/zeux/pugixml/tags .*/archive/v?(\d[\d.]+)\.tar\.gz
